﻿#nullable enable

using Microsoft.Extensions.FileProviders;
using Microsoft.Extensions.Hosting;

namespace Unity.Extensions.GenericHost.Internal
{
    public class HostingEnvironment : IHostEnvironment
    {
        public string EnvironmentName { get; set; } = string.Empty;
        public string ApplicationName { get; set; } = string.Empty;
        public string ContentRootPath { get; set; } = string.Empty;
        public IFileProvider ContentRootFileProvider { get; set; } = null!;
    }
}